Bug 108985 - (shift+up_arrow) or (shift+down_arrow) when selecting from lists doesn't work when connected to Windows XP Pro.
(shift+up_arrow) or (shift+down_arrow) when selecting from lists doesn't work...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rdesktop (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks: 115344
  Show dependency treegraph
 
Reported: 2003-11-03 19:52 EST by Ben Russo
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-14 20:53:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ben Russo 2003-11-03 19:52:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5)
Gecko/20031007

Description of problem:
From Linux box, bring up rdesktop connection to a Windows XP Pro system.
Open Outlook or File manager, select an item in a list, then hold the
shift key down and use the up or down arrow keys to select a range of
items.

This works when using Remote Desktop utility from a Windows box to a
Windows box, but doesn't work from Linux box to Windows box.



Version-Release number of selected component (if applicable):
rdesktop-1.2.0-2

How reproducible:
Always

Steps to Reproduce:
    From Linux box, bring up rdesktop connection to a Windows XP Pro
system.
Open Outlook or Netcool or File manager, select an item in a list,
then hold the shift key down and use the up or down arrow keys to
select a range of items.

Actual Results:  Holding down shift key while pressing the up or down
arrow does nothing.

Expected Results:  The highlighted item should be joined (in being
selected/highlighted) by the item above (if shift+up) or below (if
shift+down)

Additional info:

I have tried this on RH8, RH9, FCb3, the same failure mode on all.
I have tried this on several different PC's, an old Dell box, a new
Dell laptop, and a whitebox PC.
Comment 1 Warren Togami 2004-02-11 11:17:33 EST
1.3.0 has been a FC1 update for a while.

http://people.redhat.com/wtogami/temp/rdesktop-1.3.1-0.1/
Please also test these 1.3.1 binaries and report back if the problems
you described are fixed.
Comment 2 Ben Russo 2004-02-11 11:26:01 EST
Works with current ERRATA installed in Fedora Core 1
Tested & Fixed.

Note You need to log in before you can comment on or make changes to this bug.